<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields\Abstraction\WPPostsMetaField;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields\Abstraction\Field;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields\Abstraction\AllowedConditions;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Conditions\ContainsCondition;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Conditions\EqualCondition;
use WC_Product;
class SKUField implements Field, WPPostsMetaField, AllowedConditions
{
    public static function get_allowed_conditions(): array
    {
        return [ContainsCondition::class, EqualCondition::class];
    }
    public static function get_name(): string
    {
        return 'sku';
    }
    public static function get_nice_name(): string
    {
        return __('Product SKU', 'dropshipping-export-free');
    }
    public static function get_meta_key(): string
    {
        return '_sku';
    }
    public function get_product_value(WC_Product $product)
    {
        return $product->get_sku();
    }
}
